MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001313VCMIOtherpublic2013-06-10 08:032018-02-21 02:55
Reporternicoly 
Assigned ToSXX 
PrioritynormalSeverityminorReproducibilityrandom
StatusclosedResolutionunable to reproduce 
Platformamd64OSDebianOS VersionJessie
Product Version0.93 
Target VersionFixed in Version1.next 
Summary0001313: Crash after several turnes in multiplayer.
DescriptionAfter several turnes in multiplayer games crashed.

In terminal i see:

Sent closing signal to the server
vcmiserver: /usr/include/boost/thread/pthread/condition_variable_fwd.hpp:46: boost::condition_variable::~condition_variable(): Assertion `!pthread_mutex_destroy(&internal_mutex)' failed.
Aborted
TagsNo tags attached.
Attached Filestxt file icon server_log.txt [^] (11,464 bytes) 2013-06-10 08:03 [Show Content]
txt file icon VCMI_Server_log.txt [^] (545,062 bytes) 2013-06-10 08:08 [Show Content]

- Relationships

-  Notes
(0003682)
nicoly (reporter)
2013-06-10 08:09

Now i can not run that game that was saved most up to date.

Game crashes w/ the same error:

...
battleGetStackQueue called when no battle!
battleGetDefendedTown called when no battle!
battleGetAllStacks called when no battle!
battleGetBattlefieldType called when no battle!
Connection has been requested to be closed.
Sent closing signal to the server
vcmiserver: /usr/include/boost/thread/pthread/condition_variable_fwd.hpp:46: boost::condition_variable::~condition_variable(): Assertion `!pthread_mutex_destroy(&internal_mutex)' failed.
Aborted

Here i attach VCMI_server log.
(0003763)
keha (reporter)
2013-07-18 11:53

I confirm this bug.

VCMI 0.93, Kubuntu 12.04 amd64

server_log:
Warning: an orphaned child!
Warning: an orphaned child!
Warning: an orphaned child!
Broken pipe


- Issue History
Date Modified Username Field Change
2013-06-10 08:03 nicoly New Issue
2013-06-10 08:03 nicoly File Added: server_log.txt
2013-06-10 08:08 nicoly File Added: VCMI_Server_log.txt
2013-06-10 08:09 nicoly Note Added: 0003682
2013-07-18 11:53 keha Note Added: 0003763
2018-02-21 02:55 SXX Status new => closed
2018-02-21 02:55 SXX Assigned To => SXX
2018-02-21 02:55 SXX Resolution open => unable to reproduce
2018-02-21 02:55 SXX Fixed in Version => 1.next

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2023 MantisBT Team
Hosting provided by DigitalOcean